%define name	kde4-style-aurorae
%define version	 0.2.1
%define release	%mkrel 1
%define Summary	 Theme engine for KWin window decorations

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://kde-look.org/CONTENT/content-files/107158-aurorae-%{version}.tar.gz
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		http://kde-look.org/content/show.php/Aurorae+Theme+Engine?content=107158
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdebase4-workspace-devel
Requires:	kdebase4-runtime


%description
Aurorae is a themeable window decoration for KWin.

It supports theme files consisting of several SVG files for decoration
and buttons. Themes can be
installed and selected directly in the configuration module of KWin
decorations.

Please have a look at theme-description on how to write a theme file.

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING README theme-description TODO
%_kde_libdir/kde4/kwin3_aurorae.so
%_kde_libdir/kde4/kwin_aurorae_config.so
%_kde_appsdir/aurorae/
%_kde_appsdir/kwin/aurorae.desktop
%_kde_datadir/config/aurorae.knsrc

#--------------------------------------------------------------------

%prep
%setup -q -n  aurorae

%build
%cmake_kde4
%make

%install
%__rm -rf %{buildroot}
%{makeinstall_std} -C build

%clean
%__rm -rf %{buildroot}

%changelog
* Tue Sep 22 2009 John Balcaen <mikala@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 447026
- import kde4-style-aurorae

